=== debian/changelog ===
crawl (2:0.12.1-1) unstable; urgency=low

  * New upstream bugfix release
  * Autodetect LTO, to support backports.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 05 May 2013 12:20:44 +0200

crawl (2:0.12.0-1) unstable; urgency=low

  * New upstream release.
  * Revert -Os, benchmarks show it greatly reduces speed even on cache
    starved machines, and Crawl is too CPU hungry for small disk savings
    to matter.
  * Autodetect -fno-fat-lto-objects.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 02 May 2013 14:03:18 +0200

crawl (2:0.11.2-2) experimental; urgency=low

  * Don't use -fno-fat-lto-objects, the buildds do not support that yet.

 -- Guus Sliepen <guus@debian.org>  Wed, 20 Feb 2013 14:27:41 +0100

crawl (2:0.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Wed, 20 Feb 2013 13:04:51 +0100

crawl (2:0.11.1-2) experimental; urgency=low

  * Enable link time optimization (LTO).

 -- Guus Sliepen <guus@debian.org>  Wed, 05 Dec 2012 14:03:18 +0100
