## crawl 0.12.2

=== source/Makefile ===
--- 
+++ 
@@ -100,24 +100,6 @@
 # CFOTHERS(_L) - Anything else
 #
 
-
-ifdef USE_ICC
-
-# If you have a Core 2 processor, this _really_ makes things fly:
-#CFOPTIMIZE := -O2 -parallel -xT
-
-# Optionally enable the 'ipo' feature, to facilitate inlining
-# across object file bounds.
-#CFOPTIMIZE_L := -ipo
-
-# Some very good optimization flags.
-CFOPTIMIZE := -O2 -parallel
-
-else
-
-CFOPTIMIZE := -O2
-
-endif # USE_ICC
 
 CFOTHERS := -pipe $(EXTERNAL_FLAGS)
 CFWARN := -Wall -Wformat-security
@@ -429,3 +411,22 @@
 endif
 
 ifndef SDK_VER
+ifeq ($(MARCH),ppc)
+SDK_VER := 10.4
+endif
+ifeq ($(MARCH),i386)
+SDK_VER := 10.4
+endif
+ifeq ($(MARCH),x86_64)
+ifdef TILES
+SDK_VER := 10.6
+else
+SDK_VER := 10.5
+endif
+endif
+endif
+
+# Mac OS X 10.4 adds a 'u' on the end of the SDK name. Everything
+# else is much easier to predict the name of.
+ifeq ($(SDK_VER),10.4)
+GCC_VER := 4.0
