=== debian/changelog ===
crawl (2:0.12.2-1) unstable; urgency=low

  * New upstream bugfix release
  * Give up and drop LTO on rare architectures, ie, anything but *arm*,
    *amd64*, *x32*, *i386*. There's apparently always an ICE on at least
    one arch somewhere among gcc-4.6/4.7/4.8/clang on Debian or Ubuntu.
  * Drop obsolete DM-Upload-Allowed.
  * Properly query DEB_HOST_ARCH on new dpkg-dev.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 08 Jun 2013 04:34:41 +0200
