## crawl 0.12.3

=== debian/changelog ===
crawl (2:0.12.3-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Mon, 30 Sep 2013 00:07:28 +0200
