## crawl 0.13.0

=== source/Makefile ===
--- 
+++ 
@@ -222,9 +222,6 @@
 	endif
 	COPY_FONTS = yes
 endif
-ifdef USE_LUAJIT
-	BUILD_LUA := YesPlease
-endif
 ifdef USE_ICC
 	NO_RDYNAMIC := YesPlease
 endif
@@ -430,3 +427,5 @@
 # else is much easier to predict the name of.
 ifeq ($(SDK_VER),10.4)
 GCC_VER := 4.0
+SDKROOT := $(DEVELOPER_PATH)/SDKs/MacOSX$(SDK_VER)u.sdk
+else
