=== debian/changelog ===
crawl (2:0.13.0-2) unstable; urgency=low

  * Fix the tilesheets being out of sync between builds (including arch:all
    parts vs arch:any). Closes: #729938
  * Disable LTO on arm{el,hf}, due to binutils bug #712189.
  * Depend on fonts-dejavu-core rather than ttf-dejavu, keeping the latter as
    an alternative because of backports.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 19 Nov 2013 04:02:18 +0100

crawl (2:0.13.0-1) unstable; urgency=low

  * New upstream release.
  * Removed source/contrib from upstream tarball.

 -- Guus Sliepen <guus@debian.org>  Mon, 18 Nov 2013 14:42:24 +0100
