=== debian/changelog ===
crawl (2:0.13.1-1) unstable; urgency=low

  * New upstream release

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 28 Nov 2013 12:05:56 +0100
