=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,6 @@
   endif
 endif
 
-ifneq (,$(findstring arm,$(DEB_HOST_ARCH)))
-  LTO=y
-endif
 ifneq (,$(findstring amd64,$(DEB_HOST_ARCH)))
   LTO=y
 endif
