## crawl 0.14.1

=== source/Makefile ===
--- 
+++ 
@@ -373,7 +373,7 @@
 endif
 
 
-INCLUDES_L += -Icontrib/install/$(ARCH)/include
+INCLUDES_L += -isystem contrib/install/$(ARCH)/include
 LIBS += -Lcontrib/install/$(ARCH)/lib
 
 INCLUDES_L += -Iutil -I.
