=== source/util/Makefile ===
--- 
+++ 
@@ -13,13 +13,10 @@
 all: levcomp.tab.cc levcomp.lex.cc
 
 clean:
-	$(RM) levcomp.tab.cc levcomp.tab.h levcomp.lex.cc *.o
-
-%.tab.cc: %.tab.c
-	@mv $< $@
+	$(RM) levcomp.tab.cc levcomp.tab.h levcomp.lex.cc *.o *.d
 
 %.lex.cc: %.lpp
 	$(QUIET_LEX)$(LEX) -o$@ $<
 
-%.tab.c: %.ypp
-	$(QUIET_YACC)$(YACC) -d -b $* $<
+%.tab.cc: %.ypp
+	$(QUIET_YACC)$(YACC) --defines=$*.tab.h -b $* -o $@ $<
