=== debian/changelog ===
crawl (2:0.14.1-2) unstable; urgency=medium

  * Look for fonts in /usr/share/fonts/truetype/dejavu/ instead of
    ttf-dejavu/, and Depend strictly on fonts-dejavu-core. Closes: #753837

 -- Guus Sliepen <guus@debian.org>  Wed, 23 Jul 2014 17:59:47 +0200

crawl (2:0.14.1-1) unstable; urgency=medium

  * New upstream release. Closes: #747156
  * Remove source/contrib and source/webserver from the original tarball.
  * Add a .desktop file for the non-tiles version, and provide an icon for
    the menu files. Closes: #737850
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Thu, 08 May 2014 16:18:06 +0200
