=== debian/rules ===
--- 
+++ 
@@ -57,8 +57,8 @@
 # The makefile is unorthodox, requiring all options to be specified on every invocation.
 ARGS_CONSOLE = prefix=/usr CFOPTIMIZE="$(CFOPTIMIZE)" STRIP=: $(CROSS) $(VERBOSE)
 ARGS_TILES   = $(ARGS_CONSOLE) TILES=y GAME=crawl-tiles \
-	PROPORTIONAL_FONT=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf \
-	MONOSPACED_FONT=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono.ttf
+	PROPORTIONAL_FONT=/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf \
+	MONOSPACED_FONT=/usr/share/fonts/truetype/dejavu/DejaVuSansMono.ttf
 
 build-arch build-indep: build-stamp
 build-stamp: tree-stamp
@@ -116,8 +116,10 @@
 	ln -sf crawl-common debian/crawl-tiles/usr/share/doc/crawl-tiles
 	mkdir -p debian/crawl-tiles-data/usr/share/doc
 	ln -sf crawl-common debian/crawl-tiles-data/usr/share/doc/crawl-tiles-data
-	dh_install -pcrawl-tiles debian/crawl-tiles.desktop usr/share/applications
-	dh_install -pcrawl-tiles debian/crawl.png usr/share/icons/hicolor/48x48/apps
+	dh_install -pcrawl debian/crawl.desktop usr/share/applications/
+	dh_install -pcrawl-tiles debian/crawl-tiles.desktop usr/share/applications/
+	dh_install -pcrawl-tiles debian/crawl.png usr/share/icons/hicolor/48x48/apps/
+	dh_install -pcrawl-common debian/crawl.xpm usr/share/pixmaps/
 	dh_link -pcrawl-tiles usr/share/crawl/dat/tiles/stone_soup_icon-32x32.png \
 		usr/share/icons/hicolor/32x32/apps/crawl.png
 	mkdir -p debian/crawl-tiles/usr/share/icons/hicolor/scalable/apps
