## crawl 0.15.1

=== source/Makefile ===
--- 
+++ 
@@ -192,7 +192,7 @@
 	NEED_LIBW32C = YesPlease
 	BUILD_PCRE = YesPlease
 	BUILD_ZLIB = YesPlease
-	DEFINES_L += -DWINMM_PLAY_SOUNDS
+	DEFINES_L += -DWINMM_PLAY_SOUNDS -D__USE_MINGW_ANSI_STDIO
 	EXTRA_LIBS += -lwinmm
 	ifdef TILES
 		EXTRA_LIBS += -lmingw32 -lgdi32 -lwinmm contrib/install/$(ARCH)/lib/libSDLmain.a -mwindows
@@ -200,11 +200,11 @@
 		BUILD_SDL = YesPlease
 		BUILD_SDLIMAGE = YesPlease
 		BUILD_LIBPNG = YesPlease
+		COPY_FONTS = yes
 	endif
 	ifeq ($(shell gcc -v -static -static-libstdc++ 2>&1 | grep 'unrecognized option'),)
 		EXTRA_LIBS += -static -static-libgcc -static-libstdc++
 	endif
-	COPY_FONTS = yes
 endif
 ifeq ($(uname_S),Darwin)
 	STRIP := strip -x
@@ -219,8 +219,8 @@
 		BUILD_SDL = YesPlease
 		BUILD_SDLIMAGE = YesPlease
 		BUILD_LIBPNG = YesPlease
+		COPY_FONTS = yes
 	endif
-	COPY_FONTS = yes
 endif
 ifdef USE_ICC
 	NO_RDYNAMIC := YesPlease
@@ -373,9 +373,6 @@
 endif
 
 
-INCLUDES_L += -isystem contrib/install/$(ARCH)/include
-LIBS += -Lcontrib/install/$(ARCH)/lib
-
 INCLUDES_L += -Iutil -I.
 
 ifdef APPLE_GCC
@@ -427,3 +424,5 @@
 # else is much easier to predict the name of.
 ifeq ($(SDK_VER),10.4)
 GCC_VER := 4.0
+SDKROOT := $(DEVELOPER_PATH)/SDKs/MacOSX$(SDK_VER)u.sdk
+else
