=== debian/changelog ===
crawl (2:0.15.1-1) unstable; urgency=medium

  * New upstream release. Closes: #762299
  * Add --ignore-missing-info to shlibdeps, otherwise it fails because there
    is no dependency information for libGL.so.1.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Mon, 06 Oct 2014 13:28:55 +0200
