=== debian/rules ===
--- 
+++ 
@@ -150,7 +150,7 @@
 	dh_strip -a
 	dh_fixperms -a
 	dh_installdeb -a
-	dh_shlibdeps -a
+	dh_shlibdeps -a -- --ignore-missing-info
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a
