## crawl 0.16.1

=== source/Makefile ===
--- 
+++ 
@@ -17,6 +17,8 @@
 #       installing even if you just built it.
 # Typical parameters:
 #    TILES         -- set to anything to enable tiles build
+#
+#    SOUND         -- set to anything to enable sound
 #
 #    CROSSHOST     -- target system, eg, i386-pc-msdosdjgpp or i586-mingw32msvc
 #
@@ -64,10 +66,10 @@
 #
 # Requirements:
 #    For tile builds, you need pkg-config.
-#    You also need libpng, sdl, sdl-image and libfreetype -- if you got your
-#    source from git, you can 'git submodule update' to fetch them; you can also
-#    ask for a package with convenience libraries instead -- we'll try to provide
-#    them somewhere in the near future.
+#    You also need libpng, sdl2, sdl2-image, sdl2-mixer and libfreetype -- if
+#    you got your source from git, you can 'git submodule update' to fetch
+#    them; you can also ask for a package with convenience libraries instead --
+#    we'll try to provide them somewhere in the near future.
 
 GAME = crawl
 
@@ -79,7 +81,7 @@
 
 .PHONY: all test install clean clean-contrib clean-rltiles clean-android \
         distclean debug debug-lite profile package-source source \
-        build-windows package-windows rest docs greet api android
+        build-windows package-windows rest docs greet api android FORCE
 
 include Makefile.obj
 
@@ -102,8 +104,8 @@
 
 
 CFOTHERS := -pipe $(EXTERNAL_FLAGS)
-CFWARN := -Wall -Wformat-security
-CFWARN_L := -Wundef
+CFWARN := 
+CFWARN_L := -Wall -Wformat-security -Wundef
 
 DEFINES := $(EXTERNAL_DEFINES)
 
@@ -192,13 +194,14 @@
 	NEED_LIBW32C = YesPlease
 	BUILD_PCRE = YesPlease
 	BUILD_ZLIB = YesPlease
+	SOUND = YesPlease
 	DEFINES_L += -DWINMM_PLAY_SOUNDS -D__USE_MINGW_ANSI_STDIO
 	EXTRA_LIBS += -lwinmm
 	ifdef TILES
-		EXTRA_LIBS += -lmingw32 -lgdi32 -lwinmm contrib/install/$(ARCH)/lib/libSDLmain.a -mwindows
+		EXTRA_LIBS += -lmingw32 -lgdi32 -lwinmm -limm32 -lole32 -loleaut32 -lversion contrib/install/$(ARCH)/lib/libSDL2main.a -mwindows
 		BUILD_FREETYPE = YesPlease
-		BUILD_SDL = YesPlease
-		BUILD_SDLIMAGE = YesPlease
+		BUILD_SDL2 = YesPlease
+		BUILD_SDL2IMAGE = YesPlease
 		BUILD_LIBPNG = YesPlease
 		COPY_FONTS = yes
 	endif
@@ -214,10 +217,15 @@
 	BUILD_SQLITE = YesPlease
 	BUILD_ZLIB = YesPlease
 	ifdef TILES
-		EXTRA_LIBS += -framework AppKit -framework AudioUnit -framework Carbon -framework IOKit -framework OpenGL contrib/install/$(ARCH)/lib/libSDLmain.a
+		EXTRA_LIBS += -framework AppKit -framework AudioUnit -framework CoreAudio -framework ForceFeedback -framework Carbon -framework IOKit -framework OpenGL contrib/install/$(ARCH)/lib/libSDL2main.a
 		BUILD_FREETYPE = YesPlease
-		BUILD_SDL = YesPlease
-		BUILD_SDLIMAGE = YesPlease
+		BUILD_SDL2 = YesPlease
+		BUILD_SDL2IMAGE = YesPlease
+		ifdef SOUND
+			ifndef WIN32 
+				BUILD_SDL2MIXER = YesPlease
+			endif
+		endif
 		BUILD_LIBPNG = YesPlease
 		COPY_FONTS = yes
 	endif
@@ -234,8 +242,13 @@
 ifdef BUILD_ALL
 	BUILD_FREETYPE = YesPlease
 	BUILD_PCRE = YesPlease
-	BUILD_SDL = YesPlease
-	BUILD_SDLIMAGE = YesPlease
+	BUILD_SDL2 = YesPlease
+	BUILD_SDL2IMAGE = YesPlease
+	ifdef SOUND
+		ifndef WIN32 
+			BUILD_SDL2MIXER = YesPlease
+		endif
+	endif
 	BUILD_SQLITE = YesPlease
 	BUILD_LUA = YesPlease
 	BUILD_LIBPNG = YesPlease
@@ -246,9 +259,10 @@
 all: greet check-fonts $(GAME) docs webserver
 
 LIBPCRE := contrib/install/$(ARCH)/lib/libpcre.a
-LIBSDL := contrib/install/$(ARCH)/lib/libSDL.a
+LIBSDL2 := contrib/install/$(ARCH)/lib/libSDL2.a
 LIBPNG := contrib/install/$(ARCH)/lib/libpng.a
-LIBSDLIMAGE := contrib/install/$(ARCH)/lib/libSDL_image.a
+LIBSDL2IMAGE := contrib/install/$(ARCH)/lib/libSDL2_image.a
+LIBSDL2MIXER := contrib/install/$(ARCH)/lib/libSDL2_mixer.a
 LIBFREETYPE := contrib/install/$(ARCH)/lib/libfreetype.a
 LIBSQLITE := contrib/install/$(ARCH)/lib/libsqlite3.a
 ifdef USE_LUAJIT
@@ -384,45 +398,15 @@
 
 # The SDK locations were moved in 10.8; this snippet tries to find them
 # there first, then reverts to the original location.
-ifeq ($(shell test -e /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer || echo NOPE),)
-DEVELOPER_PATH := /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer
-else
-DEVELOPER_PATH := /Developer
-endif
-
-# Find the oldest SDK available, in attempt to make this build as
-# backward-compatible as we possibly can.
-SDK_VER := $(shell ls $(DEVELOPER_PATH)/SDKs | sort -n | head -1 | perl -pe 's/^MacOSX//g;s/.sdk$$//g')
-
-ifeq ($(SDK_VER),10.4u)
-SDK_VER := 10.4
-endif
-
-ifndef SDK_VER
-$(error You do not seem to have any Mac OS X SDKs installed! This build is doomed to fail)
-endif
-
-endif
-
-ifndef SDK_VER
-ifeq ($(MARCH),ppc)
-SDK_VER := 10.4
-endif
-ifeq ($(MARCH),i386)
-SDK_VER := 10.4
-endif
-ifeq ($(MARCH),x86_64)
-ifdef TILES
-SDK_VER := 10.6
-else
-SDK_VER := 10.5
-endif
-endif
-endif
-
-# Mac OS X 10.4 adds a 'u' on the end of the SDK name. Everything
-# else is much easier to predict the name of.
-ifeq ($(SDK_VER),10.4)
-GCC_VER := 4.0
-SDKROOT := $(DEVELOPER_PATH)/SDKs/MacOSX$(SDK_VER)u.sdk
-else
+XCODE_SDK_SUFFIX := Platforms/MacOSX.platform/Developer
+# Try to use xcode-select -p to find the current user-configured Xcode.app.
+XCODE_SELECT_PATH := $(shell xcode-select -p 2>/dev/null | sed 's/\/$$//')
+ifeq ($(shell test -e "$(XCODE_SELECT_PATH)/$(XCODE_SDK_SUFFIX)" || echo NOPE),)
+DEVELOPER_PATH := $(XCODE_SELECT_PATH)/$(XCODE_SDK_SUFFIX)
+else
+# Otherwise, try /Applications/Xcode.app.
+XCODE_DEFAULT_PATH := /Applications/Xcode.app/Contents/Developer
+ifeq ($(shell test -e "$(XCODE_DEFAULT_PATH)/$(XCODE_SDK_SUFFIX)" || echo NOPE),)
+DEVELOPER_PATH := $(XCODE_DEFAULT_PATH)/$(XCODE_SDK_SUFFIX)
+else
+# If all else fails, maybe it's in /Developer.
