=== debian/changelog ===
crawl (2:0.16.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch to SDL2.
  * Disable LTO completely due to ICE.

 -- Guus Sliepen <guus@debian.org>  Mon, 20 Apr 2015 14:47:37 +0200
