=== debian/rules ===
--- 
+++ 
@@ -14,15 +14,16 @@
   endif
 endif
 
-ifneq (,$(findstring amd64,$(DEB_HOST_ARCH)))
-  LTO=y
-endif
-ifneq (,$(findstring x32,$(DEB_HOST_ARCH)))
-  LTO=y
-endif
-ifneq (,$(findstring i386,$(DEB_HOST_ARCH)))
-  LTO=y
-endif
+#LTO is currently broken.
+#ifneq (,$(findstring amd64,$(DEB_HOST_ARCH)))
+#  LTO=y
+#endif
+#ifneq (,$(findstring x32,$(DEB_HOST_ARCH)))
+#  LTO=y
+#endif
+#ifneq (,$(findstring i386,$(DEB_HOST_ARCH)))
+#  LTO=y
+#endif
 
 CFOPTIMIZE = $(shell dpkg-buildflags --get CXXFLAGS || echo -g -O2) \
              $(shell dpkg-buildflags --get LDFLAGS) \
